#pragma once
#include "Entity.h"
class CS_KanpaStepOnBlade :
    public ActionEntity
{
public:
    CS_KanpaStepOnBlade(std::shared_ptr<Entity> parent, bool (*LeaveFunc)(std::weak_ptr<Entity> e));
    void Step() override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    void AttackEffectObject(std::weak_ptr<Entity> target, float centerX, float centerY, int realDamage) override;
    void Feedback(std::weak_ptr<Entity> target) override;
    float dx = 0;
    float dy = 0;
    float alpha = 0;
    bool (*LeaveFunc)(std::weak_ptr<Entity> e) = nullptr;
    bool leave = false;
};

